Getopt::Long::Descriptive::Usage(3)

NAME
Getopt::Long::Descriptive::Usage - the usage description for GLD

VERSION
version 0.099

SYNOPSIS
  use Getopt::Long::Descriptive;
  my ($opt, $usage) = describe_options( ... );

  $usage->text; # complete usage message

  $usage->die;  # die with usage message

DESCRIPTION
This document only describes the methods of the Usage object. For information on how to use Getopt::Long::Descriptive, consult its documentation.

METHODS

  new
  my $usage = Getopt::Long::Descriptive::Usage->new(\%arg);

You really don't need to call this. GLD will do it for you.

Valid arguments are:

  options     - an arrayref of options
  leader_text - the text that leads the usage; this may go away!

  text
This returns the full text of the usage message.

  leader_text
This returns the text that comes at the beginning of the usage message.

  option_text
This returns the text describing the available options.

  warn
This warns with the usage message.

  die
This throws the usage message as an exception.

  $usage_obj->die(\%arg);

Some arguments can be provided

  pre_text  - text to be prepended to the usage message
  post_text - text to be appended to the usage message

The "pre_text" and "post_text" arguments are concatenated with the usage message with no line breaks, so supply this if you need them.

AUTHORS

•   Hans Dieter Pearcey <hdp@cpan.org>

•   Ricardo Signes <rjbs@cpan.org>

COPYRIGHT AND LICENSE
This software is copyright (c) 2005 by Hans Dieter Pearcey.

This is free software; you can redistribute it and/or modify it under the same terms as the Perl 5 programming language system itself.